productName: "App Name"
appId: "net.company.appname"
asar: true # Some things may not work on Windows if this is disabled

# macOS
mac:
  darkModeSupport: true
  category: "public.app-category.utilities"
  target:
    - "dmg"

dmg:
  background: "build/macOS/background-installer.png"

# Windows
win:
  target:
    - "appx" # Microsoft Store
    - "nsis" # Executable Setup

appx:
  applicationId: "net.company.appname"
  identityName: "00000Company.AppName"
  publisher: "CN=000A00A0-A00A-0A00-AAA0-0AAA00A000AA"
  publisherDisplayName: "Full Company Name"
  backgroundColor: "#313237"

nsis:
  shortcutName: "Nexus Polestar"
  uninstallDisplayName: "Nexus Polestar"
  artifactName: "Nexus Polestar - Setup.exe"
  oneClick: false # If you want a silent installer, enable this and ignore options below
  displayLanguageSelector: true
  allowElevation: false
  allowToChangeInstallationDirectory: true
  createDesktopShortcut: false
  deleteAppDataOnUninstall: true

# Linux
linux:
  category: Network
  maintainer: "net.company.appname"
  vendor: "Full Company Name"
  description: "The description of the application."
  target:
    - "snap"
    - "AppImage"

snap:
  # allowNativeWayland: true # Electron Builder doesn't know this option, yet it's listed in their documentations for Snap. I've submitted an issue: electron-userland/electron-builder #7330
  confinement: "strict"

# Update Server
# publish:
#   provider: "generic"
#   url: "https://distribute.korbsstudio.com/applications/app-name/latest/"
